// creator  : weidu.exe (version 23100)
// argument : SLAVE4.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SLAVE4~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #2 /* Triggers after states #: 3 even though they appear after this state */
~True()
~ THEN BEGIN 0 // from:
  SAY #4420 /* ~Slaver~ */
  IF ~~ THEN REPLY #4421 /* ~This blade burns with a magical fire, and a charring blast is released whenever a hit is scored.  "Meta Infernum" is etched on the hilt, though it appears somewhat faded and may not be original to the sword.

STATISTICS:

THAC0: +1 bonus
Damage:  1D8 + 1, +1 fire damage
Damage type:  slashing
Weight: 4
Speed Factor: 5
Proficiency Type: Long Sword
Type:  1-handed
Requires: 6 Strength
Not Usable By:
 Druid
 Cleric
 Mage
 Beast Master~ */ GOTO 1
  IF ~~ THEN REPLY #4422 /* ~Sword of Flame +1~ */ GOTO 2
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #4423 /* ~Eliya~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #4424 /* ~Welcome to this place.  I've looked forward to seeing you.  I am, as you know, Aran Linvail.~ [ARAN02] */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 3 // from:
  SAY #6400 /* ~Do as you wish, but understand, however, that the Most Noble Order of the Radiant Heart will alert authorities in the region and you will be arrested or killed.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from:
  SAY #9078 /* ~Listen to me drow. Though our leader has made the foolish choice of allowing you to join this party, you shall receive no welcome from me. Slayer of innocents! You taint the sun with your evil!~ [MAZZY56] */
  IF ~~ THEN EXIT
END
